Skip to main content
DELETE
/
v5
/
bills
/
bills
Cancel a set of bills
curl --request DELETE \
  --url https://sandbox.hurdlr.com/rest/v5/bills/bills \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "ids": [
    123
  ],
  "deletePayments": false
}
'
[
  {
    "result": "SUCCESS",
    "errors": {
      "fieldErrors": {},
      "globalErrors": [
        {
          "type": "DUPLICATE",
          "errorMessage": "<string>"
        }
      ]
    },
    "id": "<string>",
    "webhook": {
      "userId": "<string>",
      "accountantUserId": "<string>",
      "type": "ENTITY_UPDATE"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*
ids
integer<int64>[]
required

Array of ids

Array of ids

deletePayments
boolean

Whether to delete payments associated with this bill. Defaults to false.

Example:

false

Response

200 - application/json

Successful operation

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object